import { HcApi } from '../../request/index'

export default {
    async getList(form) {
        return HcApi({
            url: '/api/blade-manager/systemMsg/page',
            method: 'get',
            params: form,
        })
    },
    async getAwaitMsg() {
        return HcApi({
            url: '/api/blade-manager/systemMsg/getAwaitMsg',
            method: 'get',
            params: {},
        })
    },
    async remove(ids) {
        return HcApi({
            url: '/api/blade-manager/systemMsg/remove',
            method: 'get',
            params: { ids: ids },
        })
    },
    async add(form) {
        return HcApi({
            url: '/api/blade-manager/systemMsg/add',
            method: 'post',
            data: form,
        })
    },
    async update(form) {
        return HcApi({
            url: '/api/blade-manager/systemMsg/update',
            method: 'post',
            data: form,
        })
    },
    async cancelPush(id) {
        return HcApi({
            url: '/api/blade-manager/systemMsg/cancelPush',
            method: 'get',
            params: { id },
        })
    },
    async getClinetAll() {
        return HcApi({
            url: '/api/blade-system/client/getClinetAll',
            method: 'get',
            params: {},
        })
    },
}
